<template>
    <div class="listUser">
        <User
            v-for="user in users"
            v-bind:key="user.id"
            v-bind:user="user"
            v-on:deleteUser="deleteUser"
        />
    </div>
</template>

<script>
    import User from './User'
    export default {
        name: 'ListUser',
        props: {
            users: Array,
            default: []
        },
        data (){
            return {

            }
        },
        components: {
            User
        },
        methods: {
            deleteUser(data){
                this.$emit('eventDelete',data);
            }
        }
    }
</script>

<style scoped>
    .listUser{
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
    }
</style>